Subject: Re: Problem with gitk

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Jul 2025 08:59:29 -0700

Johannes Sixt <[email-masked]> writes:

> Am 09.07.25 um 12:23 schrieb Nicolas Ratier:
>> I have this error with gitk :
>> 
>> $ gitk
>> 
>> and inside the window of gitk :
>> 
>> Erreur à l'exécution de git log :
>> 
>> wrong # args: should be
>> 
>> "safe_open_command_redirect cmd redir"
>
> You are suffering from an incorrect backport of the recent security
> fixes to a Git version before 2.43.7. Tell your maintainer to look into
> this. I can help if necessary.
>
> For example, see here:
> https://bugs.launchpad.net/ubuntu/+source/git/+bug/2116253
>
> -- Hannes

Whew.

I first misread the above report and response and was afraid that we
started from an in-between version and botched our backport down to
older maintenance tracks, but after double checking that what we
shipped (Git 2.43.7 and upwards) recently does not have this issue,
I realized that there are distro packagers that backport even further
into the past, where some mistakes happened.

Thanks for a quick response.